%define debug_package %{nil}
%define python_sitelib %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define	py_setup	setup.py

%if 0%{?fedora} || 0%{?centos} >= 7
%global with_python3 1
%else
%global with_python3 0
%endif

Summary:	biplist - Python package for reading/writing binary plists
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		biplist
Version:	1.0.3
Release:	3%{?dist}
License:	BSD
Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://pypi.org/project/biplist/

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	python2 

%description
biplist is a binary plist parser/generator for Python.
Binary Property List (plist) files provide a faster and smaller serialization format for property lists on OS X.
This is a library for generating binary plists which can be read by OS X, iOS, or other clients.
This module requires Python 2.6 or higher or Python 3.4 or higher.

%package -n python2-%{name}
Obsoletes: python-%{name} < %{version}
Provides: python-%{name} = %{version}
Summary: biplist is a library for reading/writing binary plists.
Obsoletes: python-%{name}
Provides: python-%{name} = %{version}

%description -n python2-%{name}
Binary Property List (plist) files provide a faster and
smaller serialization format for property lists on OS X. This is a library
for generating binary plists which can be read by OS X, iOS, or other
clients.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Summary: biplist is a library for reading/writing binary plists.
BuildRequires: python%{python3_pkgversion}
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{name}
Binary Property List (plist) files provide a faster and
smaller serialization format for property lists on OS X. This is a library
for generating binary plists which can be read by OS X, iOS, or other
clients.
%endif

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python2-%{name}
%if 0%{?centos} != 6
%license LICENSE
%endif
%{python2_sitelib}/biplist
%{python2_sitelib}/biplist*.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%if 0%{?centos} != 6
%license LICENSE
%endif
%{python3_sitelib}/biplist
%{python3_sitelib}/biplist*.egg-info
%exclude %{_bindir}/*
%endif


%changelog
* Sun May 19 2019 Lawrence R. Rogers <lrr@cert.org> 1.0.3-3
* Release 1.0.3-3
	Version 1.0.3-3: Uses python3_pkgversion for the current version of Python 3.

* Sun Feb  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.0.3-2
* Release 1.0.3-2
	Version 1.0.3
	Added Python 3 version. Renamed to python2 version.

* Sun Dec  3 2017 Lawrence R. Rogers <lrr@cert.org> 1.0.3-1
* Release 1.0.3-1
	Version 1.0.3
